cmind/ragmanager/v1/rag_data_source_service.proto
Package: cmind.ragmanager.v1
Enums
RagDataSourceType
| Value | Number | Description |
|---|---|---|
RAG_DATA_SOURCE_TYPE_UNSPECIFIED | 0 | |
RAG_DATA_SOURCE_TYPE_S3 | 1 | |
RAG_DATA_SOURCE_TYPE_AZURE | 2 |
Messages
S3DataSourceConfig
| Field | Type | Number | Description |
|---|---|---|---|
endpoint | string | 1 | RAG handlers additionally enforce HTTP(S), redirect, and SSRF policy |
bucket | string | 2 | |
prefix | string | 3 | |
region | string | 4 |
AzureDataSourceConfig
| Field | Type | Number | Description |
|---|---|---|---|
accountEndpoint | string | 1 | Derived from the connection string and returned without credential material Public requests must omit this field |
container | string | 2 | |
prefix | string | 3 |
RagDataSourceConfig
| Field | Type | Number | Description |
|---|---|---|---|
s3 | S3DataSourceConfig | 1 | |
azure | AzureDataSourceConfig | 2 |
Oneof config: one of s3, azure
S3DataSourceCredentials
| Field | Type | Number | Description |
|---|---|---|---|
accessKeyId | string | 1 | |
secretAccessKey | string | 2 |
AzureDataSourceCredentials
| Field | Type | Number | Description |
|---|---|---|---|
connectionString | string | 1 | RAG handlers validate every endpoint in the connection string before connecting |
RagDataSourceCredentials
| Field | Type | Number | Description |
|---|---|---|---|
s3 | S3DataSourceCredentials | 1 | |
azure | AzureDataSourceCredentials | 2 |
Oneof credentials: one of s3, azure
RagDataSourceSchedule
| Field | Type | Number | Description |
|---|---|---|---|
syncInterval | google.protobuf.Duration | 1 |
RagDataSource
| Field | Type | Number | Description |
|---|---|---|---|
id | string | 1 | |
ragId | string | 2 | |
name | string | 3 | |
type | RagDataSourceType | 4 | |
config | RagDataSourceConfig | 5 | |
credentialsConfigured | bool | 6 | Output only; true when write-only provider credentials are stored |
schedule | RagDataSourceSchedule | 7 | |
createdAt | google.protobuf.Timestamp | 8 | |
updatedAt | google.protobuf.Timestamp | 9 | |
deletedAt | google.protobuf.Timestamp | 10 |
CreateRagDataSourceRequest
| Field | Type | Number | Description |
|---|---|---|---|
tenantId | string | 1 | |
ragId | string | 2 | |
name | string | 3 | |
type | RagDataSourceType | 4 | |
config | RagDataSourceConfig | 5 | |
credentials | RagDataSourceCredentials | 6 | |
schedule | RagDataSourceSchedule | 7 |
CreateRagDataSourceResponse
| Field | Type | Number | Description |
|---|---|---|---|
dataSource | RagDataSource | 1 |
ListRagDataSourcesRequest
| Field | Type | Number | Description |
|---|---|---|---|
tenantId | string | 1 | |
ragId | string | 2 |
ListRagDataSourcesResponse
| Field | Type | Number | Description |
|---|---|---|---|
dataSources | repeated RagDataSource | 1 |
GetRagDataSourceRequest
| Field | Type | Number | Description |
|---|---|---|---|
tenantId | string | 1 | |
ragId | string | 2 | |
sourceId | string | 3 |
GetRagDataSourceResponse
| Field | Type | Number | Description |
|---|---|---|---|
dataSource | RagDataSource | 1 |
UpdateRagDataSourceRequest
The handler applies the mask to the stored source and revalidates the result
| Field | Type | Number | Description |
|---|---|---|---|
tenantId | string | 1 | |
ragId | string | 2 | |
sourceId | string | 3 | |
updateMask | google.protobuf.FieldMask | 4 | |
name | optional string | 5 | |
schedule | RagDataSourceSchedule | 6 | Selecting schedule with no value disables periodic sync |
credentials | RagDataSourceCredentials | 7 |
UpdateRagDataSourceResponse
| Field | Type | Number | Description |
|---|---|---|---|
dataSource | RagDataSource | 1 |
DeleteRagDataSourceRequest
| Field | Type | Number | Description |
|---|---|---|---|
tenantId | string | 1 | |
ragId | string | 2 | |
sourceId | string | 3 |
DeleteRagDataSourceResponse
ListAllRagDataSourcesRequest
| Field | Type | Number | Description |
|---|---|---|---|
tenantId | string | 1 |
ListAllRagDataSourcesResponse
| Field | Type | Number | Description |
|---|---|---|---|
dataSources | repeated RagDataSource | 1 |
Services
RagDataSourceService
CreateRagDataSource
POST /cmind.ragmanager.v1.RagDataSourceService/CreateRagDataSource
Request: CreateRagDataSourceRequest
Response: CreateRagDataSourceResponse
ListRagDataSources
GET /cmind.ragmanager.v1.RagDataSourceService/ListRagDataSources
Request: ListRagDataSourcesRequest
Response: ListRagDataSourcesResponse
GetRagDataSource
GET /cmind.ragmanager.v1.RagDataSourceService/GetRagDataSource
Request: GetRagDataSourceRequest
Response: GetRagDataSourceResponse
UpdateRagDataSource
POST /cmind.ragmanager.v1.RagDataSourceService/UpdateRagDataSource
Request: UpdateRagDataSourceRequest
Response: UpdateRagDataSourceResponse
DeleteRagDataSource
POST /cmind.ragmanager.v1.RagDataSourceService/DeleteRagDataSource
Request: DeleteRagDataSourceRequest
Response: DeleteRagDataSourceResponse
ListAllRagDataSources
GET /cmind.ragmanager.v1.RagDataSourceService/ListAllRagDataSources
Request: ListAllRagDataSourcesRequest
Response: ListAllRagDataSourcesResponse